# Visualization
TKV2d
Graphic2d

# Graphic2d_Vertex Class Reference

This class allows the creation and update of a
2D point.
.

`#include <Graphic2d_Vertex.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic2d_Vertex ()
| Creates a point with 0.0, 0.0 coordinates. .
Standard_EXPORT | Graphic2d_Vertex (const Standard_Real AX, const Standard_Real AY)
| Creates a point with <ax>, <ay> coordinates. .
Standard_EXPORT | Graphic2d_Vertex (const Standard_ShortReal AX, const Standard_ShortReal AY)
| Creates a point with <ax>, <ay> coordinates. .
Standard_EXPORT void | SetCoord (const Quantity_Length Xnew, const Quantity_Length Ynew)
| Modifies the coordinates of the point <me>. .
Standard_EXPORT void | SetXCoord (const Quantity_Length Xnew)
| Modifies the X coordinate of the point <me>. .
Standard_EXPORT void | SetYCoord (const Quantity_Length Ynew)
| Modifies the Y coordinate of the point <me>. .
Standard_EXPORT void | Coord (Quantity_Length &AX, Quantity_Length &AY) const
| Returns the coordinates of the point <me>. .
Standard_EXPORT Quantity_Length | X () const
| Returns the X coordinates of the point <me>. .
Standard_EXPORT Quantity_Length | Y () const
| Returns the Y coordinate of the point <me>. .
Standard_EXPORT Standard_Boolean | IsEqual (const Graphic2d_Vertex &other) const
| Test if <me> and <other> are the the same vertex. .
Standard_Boolean | operator== (const Graphic2d_Vertex &other) const

## Static Public Member Functions

static Standard_EXPORT Quantity_Length | Distance (const Graphic2d_Vertex &AV1, const Graphic2d_Vertex &AV2)
| Returns the distance between <av1> and <av2>. .

## Private Attributes

Standard_ShortReal | myX
Standard_ShortReal | myY

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_Vertex::Graphic2d_Vertex | ( |  | ) |

Standard_EXPORT Graphic2d_Vertex::Graphic2d_Vertex | ( | const Standard_Real | AX,
|  | const Standard_Real | AY
| ) |

Standard_EXPORT Graphic2d_Vertex::Graphic2d_Vertex | ( | const Standard_ShortReal | AX,
|  | const Standard_ShortReal | AY
| ) |

## Member Function Documentation

Standard_EXPORT void Graphic2d_Vertex::Coord | ( | Quantity_Length & | AX,
|  | Quantity_Length & | AY
| ) | const

static Standard_EXPORT Quantity_Length Graphic2d_Vertex::Distance | ( | const Graphic2d_Vertex & | AV1,
|  | const Graphic2d_Vertex & | AV2
| ) | `[static]`

Standard_EXPORT Standard_Boolean Graphic2d_Vertex::IsEqual | ( | const Graphic2d_Vertex & | other | ) | const

void Graphic2d_Vertex::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic2d_Vertex::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic2d_Vertex::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Boolean Graphic2d_Vertex::operator== | ( | const Graphic2d_Vertex & | other | ) | const`[inline]`

Standard_EXPORT void Graphic2d_Vertex::SetCoord | ( | const Quantity_Length | Xnew,
|  | const Quantity_Length | Ynew
| ) |

Standard_EXPORT void Graphic2d_Vertex::SetXCoord | ( | const Quantity_Length | Xnew | ) |

Standard_EXPORT void Graphic2d_Vertex::SetYCoord | ( | const Quantity_Length | Ynew | ) |

Standard_EXPORT Quantity_Length Graphic2d_Vertex::X | ( |  | ) | const

Standard_EXPORT Quantity_Length Graphic2d_Vertex::Y | ( |  | ) | const

## Field Documentation

Standard_ShortReal Graphic2d_Vertex::myX `[private]`

Standard_ShortReal Graphic2d_Vertex::myY `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_Vertex.hxx